import unittest, sys
import io
import unittest.mock

from tmc import points

from tmc.utils import load, get_out

main = load('src.main', 'flip')

@points('2-4')
class MainTest(unittest.TestCase):
   
    def test_answer_one(self):
        main(0)
        output = get_out()
        self.assertEqual(output, '1.0')        

    def test_answer_two(self):
        main(1)
        output = get_out()
        self.assertEqual(output, '2.0')

    def test_answer_three(self):
        main(2)
        output = get_out()
        self.assertEqual(output, '4.0')

    def test_answer_four(self):
        main(10)
        output = get_out()
        self.assertEqual(output, '1024.0')

if __name__ == '__main__':
    unittest.main()